<?php
if($this->session->userdata('is_logged_in')===FALSE){
            redirect('login');
}

$jenisAkta=intval($jenisAkta);
if(!is_numeric($jenisAkta)){
    show_404();
    exit();
}
$penandatangan=$this->encrypt->decode(base64_decode($penandatangan));
$penandatangan=intval($penandatangan);
if(!is_numeric($penandatangan)){
    show_404();
    exit();
}

foreach ($template->result() as $template){
    $filename=$template->kdtemplate;
    $namafile=str_replace(" ","",$template->namatemplate);
}
$url = base_url("resources/template/akta/perdata_tun/".$filename.".rtf");
$Template = file_get_contents($url);
//--------------MULAI--------------------------------------------//
if(!empty($dataPN)){
    foreach ($dataPN->result() as $row) {
        $namapn = $this->templatehelper->standradnaming($row->NamaPN);
        $alamatpn = $this->templatehelper->standradnaming($row->AlamatPN);
        $namapt = $this->templatehelper->standradnaming($row->NamaPT);
        $pansek = $this->templatehelper->standradnaming($row->Panses);
        $wapan = $this->templatehelper->standradnaming($row->Wapan);
    }
}
$Template = str_replace('#namapn#',''.$namapn.'',$Template);
$Template = str_replace('#alamatpn#',''.$alamatpn.'',$Template);
$Template = str_replace('#namapt#',''.$namapt.'',$Template);
if($penandatangan==68){    
        $Template = str_replace('#pansek#',''.$pansek.'',$Template);
        $Template = str_replace('#jabatan#','P A N I T E R A',$Template);
}else if($penandatangan==70){
        $Template = str_replace('#pansek#',''.$wapan.'',$Template);
        $Template = str_replace('#jabatan#','a.n. Panitera',$Template);
}
#DATA PERKARA
if(!empty($dataPerkara)){
    foreach ($dataPerkara->result() as $row) {
        $nomorperkara = $row->nomor_perkara;        
    }
}
$Template = str_replace('#nomorperkara#',''.$nomorperkara.'',$Template);
#DATA PERKARA PUTUSAN
if(!empty($tanggalPutus)){
    $tglpts = $tanggalPutus->result();
    $tglputusan = $this->templatehelper->convertKeTglIndo($tglpts[0]->tanggal_putusan);     
    $amarpts = $this->templatehelper->cleanHtmlTag($tglpts[0]->amar_putusan);
    $tglputusanpt = $this->templatehelper->convertKeTglIndo($tglpts[0]->putusan_banding);     
    $amarptspt = $this->templatehelper->cleanHtmlTag($tglpts[0]->amar_putusan_banding);
    $nomorptspt = $tglpts[0]->nomor_putusan_banding;
}
$Template = str_replace('#tglputusan#',''.$tglputusan.'',$Template);
$Template = str_replace('#amarpts#',''.$amarpts.'',$Template);
$Template = str_replace('#tglbanding#',''.$this->templatehelper->convertKeTglIndo($tglBanding).'',$Template);
$Template = str_replace('#tglPemberitahuan#',''.$this->templatehelper->convertKeTglIndo($tglpemberitahuan).'',$Template);
$Template = str_replace('#hariPemberitahuan#',''.$this->templatehelper->getHari($tglpemberitahuan).'',$Template);
$Template = str_replace('#nomorptspt#',''.$nomorptspt.'',$Template);
$Template = str_replace('#amarptspt#',''.$amarptspt.'',$Template);
$Template = str_replace('#tglputusanpt#',''.$tglputusanpt.'',$Template);

#DATAPEMBANDING
if($jenisAkta==1 OR $jenisAkta==3 OR $jenisAkta==5 OR $jenisAkta==7 OR $jenisAkta==9 OR $jenisAkta==11 OR $jenisAkta==13 OR $jenisAkta==15 OR $jenisAkta==17 OR $jenisAkta==19 OR $jenisAkta==21 OR $jenisAkta==23 OR $jenisAkta==25 OR $jenisAkta==27 OR $jenisAkta==29){
    if(!empty($infoPihak)){
        $infopihak = $infoPihak->result();        
        $namaPihak = $this->templatehelper->standradnaming($infopihak[0]->nama);    
        $tempattinggal = $infopihak[0]->alamat;
        $pekerjaan = $infopihak[0]->pekerjaan;
        $pihakasal = $infopihak[0]->pihak_asal_text;        
        $idjenispihak = $infopihak[0]->jenis_pihak_id;
    }    
    $Template = str_replace('#namaPihak#',''.$namaPihak.'',$Template);
    $Template = str_replace('#kewarganegaraan#','Indonesia',$Template);
    $Template = str_replace('#tempattinggal#',''.$tempattinggal.'',$Template);
    $Template = str_replace('#pekerjaan#',''.$pekerjaan.'',$Template);
    $Template = str_replace('#pihakasal#',''.$pihakasal.'',$Template);

    $jenisPihak='';
    if($idjenispihak==1){
        $jenisPihak .= "Nama \t:\t ".$namaPihak." \\par ";
        $jenisPihak .= "Kewarganegaraan \t:\t Indonesia \\par ";                                       
        $jenisPihak .= "Tempat Tinggal \t:\t ".$tempattinggal." \\par ";                                                    
        $jenisPihak .= "Pekerjaan \t:\t ".$pekerjaan." \\par ";
        $jenisPihak .= " \t \t Sebagai ".$pihakasal." \\par \\par "; 
    }elseif($idjenispihak==2 OR $idjenispihak==3 OR $idjenispihak==4){
        $jenisPihak .= "Nama Jabatan \t:\t ".$namaPihak." \\par ";                                                    
        $jenisPihak .= "Tempat Kedudukan \t:\t ".$tempattinggal." \\par ";
        $jenisPihak .= " \t \t Sebagai ".$pihakasal." \\par \\par ";
    }
    $Template = str_replace('#jenisPihak#',''.$jenisPihak.'',$Template);    
}

#DATAKUASAPENGGUGAT
if($jenisAkta==2 OR $jenisAkta==4 OR $jenisAkta==6 OR $jenisAkta==8 OR $jenisAkta==10 OR $jenisAkta==12 OR $jenisAkta==14 OR $jenisAkta==16 OR $jenisAkta==18 OR $jenisAkta==20 OR $jenisAkta==22 OR $jenisAkta==24 OR $jenisAkta==26 OR $jenisAkta==28 OR $jenisAkta==30){
    if(!empty($infoKuasaPihak)){
        $infokuasaP = $infoKuasaPihak->result();        
        $namakuasa = $this->templatehelper->standradnaming($infokuasaP[0]->nama);    
        $alamatkuasa = $infokuasaP[0]->alamat;
        $pekerjaankuasa = $infokuasaP[0]->pekerjaan;
        $tglkuasa = $this->templatehelper->convertKeTglIndo($infokuasaP[0]->tglKuasa);
        $namapihakdiwakili = $this->templatehelper->standradnaming($infokuasaP[0]->pihakdiwakili);
    }
    $Template = str_replace('#hariPemberitahuan#',''.$this->templatehelper->getHari($tglpemberitahuan).'',$Template);
    $Template = str_replace('#tglPemberitahuan#',''.$this->templatehelper->convertKeTglIndo($tglpemberitahuan).'',$Template);
    $Template = str_replace('#namakuasa#',''.$namakuasa.'',$Template);
    $Template = str_replace('#alamatkuasa#',''.$alamatkuasa.'',$Template);
    $Template = str_replace('#pekerjaankuasa#',''.$pekerjaankuasa.'',$Template);
    $Template = str_replace('#kewarganegaraan#','Indonesia',$Template);
    $Template = str_replace('#tglkuasa#',''.$tglkuasa.'',$Template);
    $Template = str_replace('#namapihakdiwakili#',''.$namapihakdiwakili.'',$Template);
}

#looping pembanding
$dataPihakPembanding = "";
$i = 0;
if(!empty($infoallpembanding)){
        foreach ($infoallpembanding->result() as $rows) { 
            if(($rows->jenis_pihak_id)==1){
                $dataPihakPembanding .= "Nama \t:\t".$this->templatehelper->standradnaming($rows->nama)." \\par ";
                $dataPihakPembanding .= "Kewarganegaraan \t:\tIndonesia \\par ";                                       
                $dataPihakPembanding .= "Pekerjaan \t:\t".$rows->pekerjaan." \\par ";
                $dataPihakPembanding .= "Tempat Tinggal \t:\t".$rows->alamat." \\par ";                                                    
                $dataPihakPembanding .= " \t \tSebagai \b ".$rows->pihak_asal_text."/Pembanding \b0 \\par ";
                                                    
            }elseif(($rows->jenis_pihak_id)==2 OR ($rows->jenis_pihak_id)==3 OR ($rows->jenis_pihak_id)==4 ){
                $dataPihakPembanding .= "Nama Jabatan \t:\t".$this->templatehelper->standradnaming($rows->nama)." \\par "; 
                $dataPihakPembanding .= "Tempat Kedudukan \t:\t".$rows->alamat." \\par ";
                $dataPihakPembanding .= " \t \tSebagai Pihak \b ".$this->templatehelper->standradnaming($rows->pihak_asal_text)."/Pembanding \b0 \\par";
            }
            $i++;
        }
}
$Template = str_replace('#pihak_pembanding#',''.$dataPihakPembanding.'',$Template);
$pihakPembanding = "";
$i = 0;
if(!empty($infoallpembanding)){
        foreach ($infoallpembanding->result() as $rows) { 
            if(($rows->jenis_pihak_id)==1){                       
                $pihakPembanding .= "Nama \t:\t ".$this->templatehelper->standradnaming($rows->nama)." \\par ";
                $pihakPembanding .= "Kewarganegaraan \t:\t Indonesia \\par ";                                       
                $pihakPembanding .= "Tempat Tinggal \t:\t ".$rows->alamat." \\par ";                                                    
                $pihakPembanding .= "Pekerjaan \t:\t ".$rows->pekerjaan." \\par ";
                $pihakPembanding .= " \t \t Sebagai Pihak ".$rows->pihak_asal_text."/Pemohon Banding \\par ";
            }elseif(($rows->jenis_pihak_id)==2 OR ($rows->jenis_pihak_id)==3 OR ($rows->jenis_pihak_id)==4 ){          
                $pihakPembanding .= "Nama Jabatan \t:\t ".$this->templatehelper->standradnaming($rows->nama)." \\par ";
                $pihakPembanding .= "Tempat Kedudukan \t:\t ".$rows->alamat." \\par \\par "; 
                $pihakPembanding .= " \t \t Sebagai Pihak ".$rows->pihak_asal_text."/Pemohon Banding \\par ";                                                      
            }
            $i++;
        }
}
$Template = str_replace('#pihak_pembanding_looping#',''.$pihakPembanding.'',$Template);
#looping terbanding
$dataPihakTerbanding = "";
$i = 0;
if(!empty($infoallterbanding)){
        foreach ($infoallterbanding->result() as $rows) { 
            if(($rows->jenis_pihak_id)==1){                       
                $dataPihakTerbanding .= "Nama \t:\t ".$this->templatehelper->standradnaming($rows->nama)." \\par ";
                $dataPihakTerbanding .= "Kewarganegaraan \t:\t Indonesia \\par ";                                       
                $dataPihakTerbanding .= "Tempat Tinggal \t:\t ".$rows->alamat." \\par ";                                                    
                $dataPihakTerbanding .= "Pekerjaan \t:\t ".$rows->pekerjaan." \\par ";
                $dataPihakTerbanding .= " \t \t Sebagai Pihak \b ".$rows->pihak_asal_text."/Termohon Banding \b0 \\par ";                                                    
            }elseif(($rows->jenis_pihak_id)==2 OR ($rows->jenis_pihak_id)==3 OR ($rows->jenis_pihak_id)==4 ){          
                $dataPihakTerbanding .= "Nama Jabatan \t:\t ".$this->templatehelper->standradnaming($rows->nama)." \\par ";
                $dataPihakTerbanding .= "Tempat Kedudukan \t:\t ".$rows->alamat." \\par \\par "; 
                $dataPihakTerbanding .= " \t \t Sebagai Pihak \b ".$rows->pihak_asal_text."/Termohon Banding \b0 \\par ";
            }
            $i++;
        }
}
$Template = str_replace('#pihak_terbanding#',''.$dataPihakTerbanding.'',$Template);

$pihakTerbanding = "";
$i = 0;
if(!empty($infoallterbanding)){
        foreach ($infoallterbanding->result() as $rows) { 
            if(($rows->jenis_pihak_id)==1){                       
                $pihakTerbanding .= "Nama \t:\t ".$this->templatehelper->standradnaming($rows->nama)." \\par ";
                $pihakTerbanding .= "Kewarganegaraan \t:\t Indonesia \\par ";                                       
                $pihakTerbanding .= "Tempat Tinggal \t:\t ".$rows->alamat." \\par ";                                                    
                $pihakTerbanding .= "Pekerjaan \t:\t ".$rows->pekerjaan." \\par ";
                $pihakTerbanding .= " \t \t Sebagai Pihak ".$rows->pihak_asal_text."/Termohon Banding \\par \\par ";
            }elseif(($rows->jenis_pihak_id)==2 OR ($rows->jenis_pihak_id)==3 OR ($rows->jenis_pihak_id)==4 ){          
                $pihakTerbanding .= "Nama Jabatan \t:\t ".$this->templatehelper->standradnaming($rows->nama)." \\par ";
                $pihakTerbanding .= "Tempat Kedudukan \t:\t ".$rows->alamat." \\par ";
                $pihakTerbanding .= " \t \t Sebagai Pihak ".$rows->pihak_asal_text."/Termohon Banding \\par \\par ";                                                       
            }
            $i++;
        }
}
$Template = str_replace('#pihak_terbanding_looping#',''.$pihakTerbanding.'',$Template);

header("Content-Type: application/vnd.ms-word");
header("Expires: 0");
header("Cache-Control:  must-revalidate, post-check=0, pre-check=0");
header("Content-disposition: attachment; filename=\"".$namafile."-".$nomorperkara.".rtf\"");
echo $Template;

?>